"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotifierRegistry = void 0;
class NotifierRegistry {
    static registry = new Map();
    static register(channelName, notifier) {
        if (this.registry.has(channelName)) {
            console.warn(`Notifier for ${channelName} is already registered.`);
        }
        this.registry.set(channelName, notifier);
    }
    static get(channelName) {
        const notifier = this.registry.get(channelName);
        if (!notifier)
            throw new Error(`Notifier for ${channelName} not registered`);
        return notifier;
    }
    static unregister(channelName) {
        this.registry.delete(channelName);
    }
}
exports.NotifierRegistry = NotifierRegistry;
//# sourceMappingURL=NotifierRegistry.js.map