"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.QueueManager = void 0;
const bullmq_1 = require("bullmq");
const RedisClient_1 = require("../utils/RedisClient");
class QueueManager {
    static queues = new Map();
    static createQueue(queueName) {
        if (!QueueManager.queues.has(queueName)) {
            const connection = RedisClient_1.RedisClient.getInstance();
            const queue = new bullmq_1.Queue(queueName, { connection });
            QueueManager.queues.set(queueName, queue);
        }
        return QueueManager.queues.get(queueName);
    }
    static async enqueueJob(queueName, jobName, jobData) {
        const queue = QueueManager.createQueue(queueName);
        await queue.add(jobName, jobData, {
            removeOnComplete: true,
            removeOnFail: false,
        });
    }
}
exports.QueueManager = QueueManager;
//# sourceMappingURL=QueueManager.js.map