"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotificationJob = void 0;
const NotifierRegistry_1 = require("../core/NotifierRegistry");
const BaseJob_1 = require("./BaseJob");
class NotificationJob extends BaseJob_1.BaseJob {
    type = "notification";
    constructor(payload) {
        super(payload);
    }
    async execute() {
        const notifier = NotifierRegistry_1.NotifierRegistry.get(this.payload.channel);
        await notifier.send(this.payload.userIds, this.payload.message, this.payload.meta);
    }
}
exports.NotificationJob = NotificationJob;
//# sourceMappingURL=NotificationJob.js.map