import { MailOptions, NotificationChannel } from "./NotificationChannel";
interface EmailNotifierConfig {
    host: string;
    port: number;
    secure: boolean;
    auth: {
        user: string;
        pass: string;
    };
    from: string;
    maxEmailsPerSecond?: number;
}
export declare class EmailNotifier implements NotificationChannel {
    private config;
    private transporter;
    private rateLimiter;
    constructor(config: EmailNotifierConfig);
    send(users: string[], meta: MailOptions[]): Promise<{
        status: string;
        recipient: string;
        response?: any;
        error?: string;
    }[]>;
}
export {};
