import { ServiceAccount } from "firebase-admin";
import { FirebaseNotificationOptions, NotificationChannel } from "./NotificationChannel";
interface FirebaseNotifierConfig {
    serviceAccount: ServiceAccount;
    maxMessagesPerSecond?: number;
}
export declare class FirebaseNotifier implements NotificationChannel {
    private config;
    private static initialized;
    private rateLimiter;
    constructor(config: FirebaseNotifierConfig);
    private initFirebase;
    send(userIds: string[], meta?: FirebaseNotificationOptions[]): Promise<{
        status: string;
        recipient: string;
        response?: any;
        error?: string;
    }[]>;
    private chunkArray;
}
export {};
