import Redis from "ioredis";
import { NotificationChannel, NotificationMeta, RequiredMeta } from "./jobs/channels/NotificationChannel";
export interface DispatchNotificationOptions<T, N extends keyof NotificationMeta> {
    redisInstance: Redis;
    notifierType: N;
    notifierOptions: any;
    dbQuery: (offset: number, limit: number) => Promise<T[]>;
    mapRecordToUserId: (record: T) => string;
    meta: (user: T) => RequiredMeta[N];
    queueName: string;
    jobName: string;
    batchSize?: number;
    maxQueriesPerSecond?: number;
    startWorker?: boolean;
    trackResponses?: boolean;
    trackingKey?: string;
    loggingEnabled?: boolean;
    customNotifier?: NotificationChannel;
}
export declare function dispatchNotifications<T, N extends keyof NotificationMeta>(options: DispatchNotificationOptions<T, N>): Promise<void>;
