"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RedisClient = void 0;
const Logger_1 = __importDefault(require("./Logger"));
class RedisClient {
    static instance = null;
    static setInstance(client) {
        RedisClient.instance = client;
        client.on("connect", () => {
            Logger_1.default.log("🚀 Redis connected.");
        });
        client.on("error", (error) => {
            Logger_1.default.error("❌ Redis error:", error);
        });
    }
    static getInstance() {
        if (!RedisClient.instance) {
            throw new Error("Redis instance is not set. Please initialize it using RedisClient.setInstance(client).");
        }
        return RedisClient.instance;
    }
}
exports.RedisClient = RedisClient;
//# sourceMappingURL=RedisClient.js.map