"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.trackNotificationResponse = trackNotificationResponse;
exports.getNotificationStats = getNotificationStats;
exports.resetNotificationStats = resetNotificationStats;
const Logger_1 = __importDefault(require("./Logger"));
const RedisClient_1 = require("./RedisClient");
async function trackNotificationResponse(trackingKey, response) {
    const redis = RedisClient_1.RedisClient.getInstance();
    if (Array.isArray(response)) {
        for (const res of response) {
            const statusKey = res.status === "success" ? "success" : res.error || "Unknown error";
            await redis.hincrby(trackingKey, statusKey, 1);
        }
    }
    else {
        const statusKey = response.success
            ? "success"
            : response.error || "Unknown error";
        await redis.hincrby(trackingKey, statusKey, 1);
    }
}
async function getNotificationStats(trackingKey = "notifications:stats") {
    const redis = RedisClient_1.RedisClient.getInstance();
    return await redis.hgetall(trackingKey);
}
async function resetNotificationStats(trackingKey = "notifications:stats") {
    const redis = RedisClient_1.RedisClient.getInstance();
    await redis.del(trackingKey);
    Logger_1.default.log("🔄 Notification Stats Reset");
}
//# sourceMappingURL=ResponseTrackers.js.map