import { Redis } from "ioredis";
interface WorkerConfig {
    redisInstance: Redis;
    queueName: string;
    concurrency?: number;
    notifiers?: {
        telegram?: {
            botToken: string;
        };
        email?: {
            host: string;
            port: number;
            secure: boolean;
            auth: {
                user: string;
                pass: string;
            };
            from: string;
        };
        firebase?: {
            serviceAccount: any;
        };
        web?: {
            publicKey: string;
            privateKey: string;
            contactEmail: string;
        };
    };
}
export declare function startWorkerServer(config: WorkerConfig): void;
export {};
